org.eclipse.oomph.base

## Interface BasePackage

- All Superinterfaces:
    EModelElement, ENamedElement, EObject, EPackage, Notifier
  All Known Implementing Classes:
    BasePackageImpl

      public interface BasePackage
      extends EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `BaseFactory`
  Generated
  Model
    kind="package" annotation="http://www.eclipse.org/oomph/base/LabelProvider imageBaseURI='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/plugins/org.eclipse.oomph.base.edit/icons/full/obj16'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `BasePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANNOTATION` The meta object id for the '`Annotation`' class.
    `static int` | `ANNOTATION___GET_ANNOTATION__STRING` The operation id for the 'Get Annotation' operation.
    `static int` | `ANNOTATION__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `ANNOTATION__CONTENTS` The feature id for the 'Contents' containment reference list.
    `static int` | `ANNOTATION__DETAILS` The feature id for the 'Details' map.
    `static int` | `ANNOTATION__MODEL_ELEMENT` The feature id for the 'Model Element' container reference.
    `static int` | `ANNOTATION__REFERENCES` The feature id for the 'References' reference list.
    `static int` | `ANNOTATION__SOURCE` The feature id for the 'Source' attribute.
    `static int` | `ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Annotation' class.
    `static int` | `ANNOTATION_OPERATION_COUNT` The number of operations of the 'Annotation' class.
    `static BasePackage` | `eINSTANCE` The singleton instance of the package.
    `static String` | `eNAME` The package name.
    `static String` | `eNS_PREFIX` The package namespace name.
    `static String` | `eNS_URI` The package namespace URI.
    `static int` | `EXCEPTION` The meta object id for the 'Exception' data type.
    `static int` | `MODEL_ELEMENT` The meta object id for the '`Model Element`' class.
    `static int` | `MODEL_ELEMENT___GET_ANNOTATION__STRING` The operation id for the 'Get Annotation' operation.
    `static int` | `MODEL_ELEMENT__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `MODEL_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Model Element' class.
    `static int` | `MODEL_ELEMENT_OPERATION_COUNT` The number of operations of the 'Model Element' class.
    `static int` | `STRING_TO_STRING_MAP_ENTRY` The meta object id for the '`String To String Map Entry`' class.
    `static int` | `STRING_TO_STRING_MAP_ENTRY__KEY` The feature id for the 'Key' attribute.
    `static int` | `STRING_TO_STRING_MAP_ENTRY__VALUE` The feature id for the 'Value' attribute.
    `static int` | `STRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT` The number of structural features of the 'String To String Map Entry' class.
    `static int` | `STRING_TO_STRING_MAP_ENTRY_OPERATION_COUNT` The number of operations of the 'String To String Map Entry' class.
    `static int` | `TEXT` The meta object id for the 'Text' data type.
    `static int` | `URI` The meta object id for the 'URI' data type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EReference` | `getAnnotation_Contents()` Returns the meta object for the containment reference list '`Contents`'.
    `EReference` | `getAnnotation_Details()` Returns the meta object for the map '`Details`'.
    `EReference` | `getAnnotation_ModelElement()` Returns the meta object for the container reference '`Model Element`'.
    `EReference` | `getAnnotation_References()` Returns the meta object for the reference list '`References`'.
    `EAttribute` | `getAnnotation_Source()` Returns the meta object for the attribute '`Source`'.
    `EClass` | `getAnnotation()` Returns the meta object for class '`Annotation`'.
    `BaseFactory` | `getBaseFactory()` Returns the factory that creates the instances of the model.
    `EDataType` | `getException()` Returns the meta object for data type '`Exception`'.
    `EOperation` | `getModelElement__GetAnnotation__String()` Returns the meta object for the '`Get Annotation`' operation.
    `EReference` | `getModelElement_Annotations()` Returns the meta object for the containment reference list '`Annotations`'.
    `EClass` | `getModelElement()` Returns the meta object for class '`Model Element`'.
    `EAttribute` | `getStringToStringMapEntry_Key()` Returns the meta object for the attribute '`Key`'.
    `EAttribute` | `getStringToStringMapEntry_Value()` Returns the meta object for the attribute '`Value`'.
    `EClass` | `getStringToStringMapEntry()` Returns the meta object for class '`String To String Map Entry`'.
    `EDataType` | `getText()` Returns the meta object for data type '`Text`'.
    `EDataType` | `getURI()` Returns the meta object for data type '`URI`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final BasePackage eINSTANCE

      The singleton instance of the package.
      Generated

    - #### MODEL_ELEMENT

          static final int MODEL_ELEMENT

      The meta object id for the '`Model Element`' class.
      See Also:
        `ModelElementImpl`, `BasePackageImpl.getModelElement()`, Constant Field Values
      Generated

    - #### MODEL_ELEMENT__ANNOTATIONS

          static final int MODEL_ELEMENT__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MODEL_ELEMENT_FEATURE_COUNT

          static final int MODEL_ELEMENT_FEATURE_COUNT

      The number of structural features of the 'Model Element' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MODEL_ELEMENT___GET_ANNOTATION__STRING

          static final int MODEL_ELEMENT___GET_ANNOTATION__STRING

      The operation id for the 'Get Annotation' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### MODEL_ELEMENT_OPERATION_COUNT

          static final int MODEL_ELEMENT_OPERATION_COUNT

      The number of operations of the 'Model Element' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION

          static final int ANNOTATION

      The meta object id for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `BasePackageImpl.getAnnotation()`, Constant Field Values
      Generated

    - #### ANNOTATION__ANNOTATIONS

          static final int ANNOTATION__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__MODEL_ELEMENT

          static final int ANNOTATION__MODEL_ELEMENT

      The feature id for the 'Model Element' container reference.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__SOURCE

          static final int ANNOTATION__SOURCE

      The feature id for the 'Source' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__DETAILS

          static final int ANNOTATION__DETAILS

      The feature id for the 'Details' map.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__CONTENTS

          static final int ANNOTATION__CONTENTS

      The feature id for the 'Contents' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION__REFERENCES

          static final int ANNOTATION__REFERENCES

      The feature id for the 'References' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION_FEATURE_COUNT

          static final int ANNOTATION_FEATURE_COUNT

      The number of structural features of the 'Annotation' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION___GET_ANNOTATION__STRING

          static final int ANNOTATION___GET_ANNOTATION__STRING

      The operation id for the 'Get Annotation' operation.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### ANNOTATION_OPERATION_COUNT

          static final int ANNOTATION_OPERATION_COUNT

      The number of operations of the 'Annotation' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### STRING_TO_STRING_MAP_ENTRY

          static final int STRING_TO_STRING_MAP_ENTRY

      The meta object id for the '`String To String Map Entry`' class.
      See Also:
        `StringToStringMapEntryImpl`, `BasePackageImpl.getStringToStringMapEntry()`, Constant Field Values
      Generated

    - #### STRING_TO_STRING_MAP_ENTRY__KEY

          static final int STRING_TO_STRING_MAP_ENTRY__KEY

      The feature id for the 'Key' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### STRING_TO_STRING_MAP_ENTRY__VALUE

          static final int STRING_TO_STRING_MAP_ENTRY__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### STRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT

          static final int STRING_TO_STRING_MAP_ENTRY_FEATURE_COUNT

      The number of structural features of the 'String To String Map Entry' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### STRING_TO_STRING_MAP_ENTRY_OPERATION_COUNT

          static final int STRING_TO_STRING_MAP_ENTRY_OPERATION_COUNT

      The number of operations of the 'String To String Map Entry' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### URI

          static final int URI

      The meta object id for the 'URI' data type.
      See Also:
        `URI`, `BasePackageImpl.getURI()`, Constant Field Values
      Generated

    - #### EXCEPTION

          static final int EXCEPTION

      The meta object id for the 'Exception' data type.
      See Also:
        `Exception`, `BasePackageImpl.getException()`, Constant Field Values
      Generated

    - #### TEXT

          static final int TEXT

      The meta object id for the 'Text' data type.
      See Also:
        `String`, `BasePackageImpl.getText()`, Constant Field Values
      Generated

  - ### Method Detail

    - #### getModelElement

          EClass getModelElement()

      Returns the meta object for class '`Model Element`'.
      Returns:
        the meta object for class 'Model Element'.
      See Also:
        `ModelElement`
      Generated

    - #### getModelElement_Annotations

          EReference getModelElement_Annotations()

      Returns the meta object for the containment reference list '`Annotations`'.
      Returns:
        the meta object for the containment reference list 'Annotations'.
      See Also:
        `ModelElement.getAnnotations()`, `getModelElement()`
      Generated

    - #### getModelElement__GetAnnotation__String

          EOperation getModelElement__GetAnnotation__String()

      Returns the meta object for the '`Get Annotation`' operation.
      Returns:
        the meta object for the 'Get Annotation' operation.
      See Also:
        `ModelElement.getAnnotation(java.lang.String)`
      Generated

    - #### getAnnotation

          EClass getAnnotation()

      Returns the meta object for class '`Annotation`'.
      Returns:
        the meta object for class 'Annotation'.
      See Also:
        `Annotation`
      Generated

    - #### getAnnotation_ModelElement

          EReference getAnnotation_ModelElement()

      Returns the meta object for the container reference '`Model Element`'.
      Returns:
        the meta object for the container reference 'Model Element'.
      See Also:
        `Annotation.getModelElement()`, `getAnnotation()`
      Generated

    - #### getAnnotation_Source

          EAttribute getAnnotation_Source()

      Returns the meta object for the attribute '`Source`'.
      Returns:
        the meta object for the attribute 'Source'.
      See Also:
        `Annotation.getSource()`, `getAnnotation()`
      Generated

    - #### getAnnotation_Details

          EReference getAnnotation_Details()

      Returns the meta object for the map '`Details`'.
      Returns:
        the meta object for the map 'Details'.
      See Also:
        `Annotation.getDetails()`, `getAnnotation()`
      Generated

    - #### getAnnotation_Contents

          EReference getAnnotation_Contents()

      Returns the meta object for the containment reference list '`Contents`'.
      Returns:
        the meta object for the containment reference list 'Contents'.
      See Also:
        `Annotation.getContents()`, `getAnnotation()`
      Generated

    - #### getAnnotation_References

          EReference getAnnotation_References()

      Returns the meta object for the reference list '`References`'.
      Returns:
        the meta object for the reference list 'References'.
      See Also:
        `Annotation.getReferences()`, `getAnnotation()`
      Generated

    - #### getStringToStringMapEntry

          EClass getStringToStringMapEntry()

      Returns the meta object for class '`String To String Map Entry`'.
      Returns:
        the meta object for class 'String To String Map Entry'.
      See Also:
        `Map.Entry`
      Generated
      Model
        keyDataType="org.eclipse.emf.ecore.EString" valueDataType="org.eclipse.oomph.base.Text" valueExtendedMetaData="kind='element'"

    - #### getStringToStringMapEntry_Key

          EAttribute getStringToStringMapEntry_Key()

      Returns the meta object for the attribute '`Key`'.
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Map.Entry`, `getStringToStringMapEntry()`
      Generated

    - #### getStringToStringMapEntry_Value

          EAttribute getStringToStringMapEntry_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Map.Entry`, `getStringToStringMapEntry()`
      Generated

    - #### getURI

          EDataType getURI()

      Returns the meta object for data type '`URI`'.
      Returns:
        the meta object for data type 'URI'.
      See Also:
        `URI`
      Generated
      Model
        instanceClass="org.eclipse.emf.common.util.URI"

    - #### getException

          EDataType getException()

      Returns the meta object for data type '`Exception`'.
      Returns:
        the meta object for data type 'Exception'.
      See Also:
        `Exception`
      Generated
      Model
        instanceClass="java.lang.Exception"

    - #### getText

          EDataType getText()

      Returns the meta object for data type '`Text`'.
      Returns:
        the meta object for data type 'Text'.
      See Also:
        `String`
      Generated
      Model
        instanceClass="java.lang.String"

    - #### getBaseFactory

          BaseFactory getBaseFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html